# Uses of Interface
org.eclipse.zest.layouts.interfaces.LayoutContext

Packages that use LayoutContext
Package
Description
org.eclipse.zest.core.widgets
org.eclipse.zest.core.widgets.custom
org.eclipse.zest.layouts
org.eclipse.zest.layouts.algorithms
org.eclipse.zest.layouts.interfaces

## Uses of LayoutContext in org.eclipse.zest.core.widgets

Methods in org.eclipse.zest.core.widgets that return LayoutContext
Modifier and Type
Method
Description
`final LayoutContext`
Graph.`getLayoutContext()`
`final LayoutContext`
GraphContainer.`getLayoutContext()`
`LayoutContext`
IContainer2.`getLayoutContext()`
Methods in org.eclipse.zest.core.widgets with parameters of type LayoutContext
Modifier and Type
Method
Description
`boolean`
DAGExpandCollapseManager.`canCollapse(LayoutContext context, NodeLayout node)`
`boolean`
DAGExpandCollapseManager.`canExpand(LayoutContext context, NodeLayout node)`
`SubgraphLayout`
DefaultSubgraph.DefaultSubgraphFactory.`createSubgraph(NodeLayout[] nodes, LayoutContext context)`
`SubgraphLayout`
DefaultSubgraph.LabelSubgraphFactory.`createSubgraph(NodeLayout[] nodes, LayoutContext context)`
`SubgraphLayout`
DefaultSubgraph.PrunedSuccessorsSubgraphFactory.`createSubgraph(NodeLayout[] nodes, LayoutContext context)`
`SubgraphLayout`
DefaultSubgraph.TriangleSubgraphFactory.`createSubgraph(NodeLayout[] nodes, LayoutContext context)`
`SubgraphLayout`
SubgraphFactory.`createSubgraph(NodeLayout[] nodes, LayoutContext context)`
`void`
DAGExpandCollapseManager.`initExpansion(LayoutContext context2)`
`void`
DAGExpandCollapseManager.`setExpanded(LayoutContext context, NodeLayout node, boolean expanded)`
Constructors in org.eclipse.zest.core.widgets with parameters of type LayoutContext
Modifier
Constructor
Description
`protected`
`DefaultSubgraph(LayoutContext context2)`
`protected`
`FigureSubgraph(NodeLayout[] nodes, LayoutContext context)`

## Uses of LayoutContext in org.eclipse.zest.core.widgets.custom

Constructors in org.eclipse.zest.core.widgets.custom with parameters of type LayoutContext
Modifier
Constructor
Description
``
`LabelSubgraph(NodeLayout[] nodes, LayoutContext context, Color foregroundColor, Color backgroundColor)`
``
`TriangleSubgraph(NodeLayout[] nodes, LayoutContext context, TriangleSubgraph.TriangleParameters triangleParameters)`

## Uses of LayoutContext in org.eclipse.zest.layouts

Methods in org.eclipse.zest.layouts with parameters of type LayoutContext
Modifier and Type
Method
Description
`void`
LayoutAlgorithm.`setLayoutContext(LayoutContext context)`
Sets the layout context for this algorithm.

## Uses of LayoutContext in org.eclipse.zest.layouts.algorithms

Fields in org.eclipse.zest.layouts.algorithms declared as LayoutContext
Modifier and Type
Field
Description
`protected LayoutContext`
AbstractLayoutAlgorithm.`context`
Methods in org.eclipse.zest.layouts.algorithms with parameters of type LayoutContext
Modifier and Type
Method
Description
`void`
AbstractLayoutAlgorithm.`setLayoutContext(LayoutContext context)`
`void`
AbstractLayoutAlgorithm.Zest1.`setLayoutContext(LayoutContext context)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
CompositeLayoutAlgorithm.`setLayoutContext(LayoutContext context)`
`void`
RadialLayoutAlgorithm.`setLayoutContext(LayoutContext context)`
`void`
SpaceTreeLayoutAlgorithm.`setLayoutContext(LayoutContext context)`
`void`
SpringLayoutAlgorithm.`setLayoutContext(LayoutContext context)`
`void`
TreeLayoutAlgorithm.`setLayoutContext(LayoutContext context)`
Constructors in org.eclipse.zest.layouts.algorithms with parameters of type LayoutContext
Modifier
Constructor
Description
``
`TreeLayoutObserver(LayoutContext context, TreeLayoutObserver.TreeNodeFactory nodeFactory)`
Creates a

## Uses of LayoutContext in org.eclipse.zest.layouts.interfaces

Methods in org.eclipse.zest.layouts.interfaces with parameters of type LayoutContext
Modifier and Type
Method
Description
`void`
ContextListener.`backgroundEnableChanged(LayoutContext context)`
This method is called whenever background layout is enabled or disabled in a layout context.
`void`
ContextListener.Stub.`backgroundEnableChanged(LayoutContext context)`
`boolean`
ContextListener.`boundsChanged(LayoutContext context)`
This method is called whenever the bounds available in a layout context change.
`boolean`
ContextListener.Stub.`boundsChanged(LayoutContext context)`
`boolean`
ExpandCollapseManager.`canCollapse(LayoutContext context, NodeLayout node)`
Checks if given node can be collapsed.
`boolean`
ExpandCollapseManager.`canExpand(LayoutContext context, NodeLayout node)`
Checks if given node can be expanded.
`boolean`
GraphStructureListener.`connectionAdded(LayoutContext context, ConnectionLayout connection)`
This method is called whenever a connection is added to a context.
`boolean`
GraphStructureListener.Stub.`connectionAdded(LayoutContext context, ConnectionLayout connection)`
`boolean`
GraphStructureListener.`connectionRemoved(LayoutContext context, ConnectionLayout connection)`
This method is called whenever a connection is removed from a context.
`boolean`
GraphStructureListener.Stub.`connectionRemoved(LayoutContext context, ConnectionLayout connection)`
`void`
ExpandCollapseManager.`initExpansion(LayoutContext context)`
Initializes the expansion state of all nodes in given layout context.
`boolean`
GraphStructureListener.`nodeAdded(LayoutContext context, NodeLayout node)`
This method is called whenever a node is added to a context.
`boolean`
GraphStructureListener.Stub.`nodeAdded(LayoutContext context, NodeLayout node)`
`boolean`
LayoutListener.`nodeMoved(LayoutContext context, NodeLayout node)`
This method is called whenever location of a particular node is changed within observed context.
`boolean`
GraphStructureListener.`nodeRemoved(LayoutContext context, NodeLayout node)`
This method is called whenever a node is removed from a context.
`boolean`
GraphStructureListener.Stub.`nodeRemoved(LayoutContext context, NodeLayout node)`
`boolean`
LayoutListener.`nodeResized(LayoutContext context, NodeLayout node)`
This method is called whenever size of a particular node is changed within observed context.
`boolean`
PruningListener.`nodesPruned(LayoutContext context, SubgraphLayout[] subgraph)`
This method is called when some nodes are pruned in a layout context.
`boolean`
PruningListener.`nodesUnpruned(LayoutContext context, NodeLayout[] nodes)`
This method is called when some nodes are unpruned in a layout context, that is they are no longer part of a subgraph.
`boolean`
ContextListener.`pruningEnablementChanged(LayoutContext context)`
This method is called whenever graph pruning is enabled or disabled in a layout context.
`boolean`
ContextListener.Stub.`pruningEnablementChanged(LayoutContext context)`
`void`
ExpandCollapseManager.`setExpanded(LayoutContext context, NodeLayout node, boolean expanded)`
Changes the expanded state of given node.
`boolean`
LayoutListener.`subgraphMoved(LayoutContext context, SubgraphLayout subgraph)`
This method is called whenever location of a particular subgraph is changed within observed context.
`boolean`
LayoutListener.`subgraphResized(LayoutContext context, SubgraphLayout subgraph)`
This method is called whenever size of a particular subgraph is changed within observed context.